Subject: Re: [PATCH 00/10] e1000: Driver fixes and update to 7.0.38-k2

From: Auke Kok <[email-masked]>
Date: Sun, 23 Apr 2006 07:13:51 -0700

David S. Miller wrote:
> From: Herbert Xu <[email-masked]>
> Date: Sat, 22 Apr 2006 15:22:54 +1000
> 
>> Jeff Garzik <[email-masked]> wrote:
>>>> 05/10: [PATCH] Update truesize with the length of the packet for
>>>>                       packet split
>>> These 10 patches look OK, but since the current kernel version is 
>>> 2.6.17-rc1, that means we are in "bug fix only" mode right now.
>>>
>>> Should I (a) apply these all to netdev2-.6.git#upstream, queueing them 
>>> for 2.6.18, or (b) let you split the submission into two parts, bug 
>>> fixes only and everything else?
>> It turns out that the truesize patch is pretty important as otherwise
>> most of TCP receive socket buffer accounting falls apart.  So it should
>> probably go into 2.6.17 and even 2.6.16-stable.
> 
> I totally agree.
> 
> Jeff please try to get at least this skb->truesize fix queued
> to both -stable and current 2.6.x, it's really needed and
> important for proper socket memory accounting on receive with
> e1000.

I agree, Jeff, please go ahead or let me know if you want me to submit this 
separately.

Auke